


/****
 * 暴露接口
 *
 * 最近修改 2015.12.21 18:18
 *
 *
 * ****/

//改变页面元素属性后，需要调用
window.render = function () {
    document.body.scrollTop = document.body.scrollTop + 1;
    document.body.scrollTop = document.body.scrollTop - 1;
};




//获取文章内容图片列表
window.getImgList = function(){
    return document.querySelectorAll('[data-imgindex]');
};

//替换页面图片地址
window.replaceImage = function (imgIndex, replaceSrc, blurFilter) {
    blurFilter = blurFilter === undefined ? false : !!blurFilter;
    var img = document.querySelector('[data-imgindex="' +imgIndex+ '"]');
    if( img ){
        if( blurFilter ){
            img.classList.add("blurFilterIng");
            setTimeout(function(img){
                return function(){
                    img && img.classList.remove("blurFilterIng");
                }
            }(img), 500);
        }
        img.src = replaceSrc;
        render();
    }
};

//设置图片样式 loading waiting
window.setMediaClass = function(imgIndex, className){
    PageReady(function(){
        var img = document.querySelector('[data-imgindex="' +imgIndex+ '"]');
        if( img ){
            img.parentNode.parentNode.className = "img-div " + className;
            render();
        }
    });
};

//获取一个图片在页面中的位置
window.getImgRect = function(imgIndex){
    var img = document.querySelector('[data-imgindex="' +imgIndex+ '"]');
    if( img ){
        var obj = img.getBoundingClientRect();
        return {
            left: obj.left + window.pageXOffset,
            top: obj.top + window.pageYOffset,
            width: obj.width,
            height: obj.height
        };
    }
};

//更改文章字体大小 0-3
window.setFontSize = function(type){
    type = Math.max( 0, Math.min(3, parseInt(type)) );
    var wapper = document.querySelector(".article-detail");
    var oldClassList = wapper.className.split(/\s+/);
    oldClassList = oldClassList.filter(function(e){
        return !e.match(/^font/);
    });
    oldClassList.push( "font-size" + type );

    wapper.className = oldClassList.join(" ");
    render();
};


//更新页面组件
window.refreshItem = function(itemType, itemId, refreshData, extraData){
    PageReady(function(){
        if( itemType in window.refreshItem ){
            window.refreshItem[ itemType ]( itemId, refreshData, extraData );
        }
    });
};


//给页面添加下载引导 图集、视频、文章底部
window.addDownloadGuide = function(tipText){
    PageReady(function(){
        tipText = tipText || "打开";
        var albumList = document.querySelectorAll("[data-type=album]");
        var videoList = document.querySelectorAll("[data-type=video]");

        for(var i = 0; i < albumList.length; i++ ){
            window.addDownloadGuide.item(albumList[i], tipText);
        }
        for(var i = 0; i < videoList.length; i++ ){
            window.addDownloadGuide.item(videoList[i], tipText);
        }

        render();
    });
};
window.addDownloadGuide.item = function(item, tipText){
    tipText = tipText || "打开";
    var frag = document.createElement("div");
    frag.className = "down-load-guide";
    frag.innerHTML = "<span></span><h2>打开汽车头条</h2><p>看" +ArticleTitle+ "</p><a href='mc-opentt://qichetoutiao'>" +tipText+ "</a>";
    item.parentNode.parentNode.appendChild(frag);
};


//给页面添加总体样式
window.setMainClass = function(className){
    document.getElementsByClassName("article-detail")[0].classList.add(className);
};


//页面结构是否更新完
var PageReady = function( callback ){
    if(callback) PageReady.list.push(callback);
    if( !PageReady.ready ){

    }else{
        while( PageReady.list.length > 0 ){
            var fun = PageReady.list.shift();
            fun();
        }
    }
};
PageReady.ready = false;
PageReady.list = [];


var ArticleTitle = "汽车头条";


//工具函数
var Utils = {
    formatDate : function(timestamp, fmt){
        if(typeof timestamp !== "object" ) timestamp = new Date(timestamp);
        fmt = fmt || "yyyy-MM-dd";

        var o = {
            "M+": timestamp.getMonth() + 1,
            "d+": timestamp.getDate(),
            "h+": timestamp.getHours() % 12,
            "H+": timestamp.getHours(),
            "m+": timestamp.getMinutes(),
            "s+": timestamp.getSeconds(),
            "q+": Math.floor((timestamp.getMonth() + 3) / 3),
            "S": timestamp.getMilliseconds()
        };
        if (/(y+)/.test(fmt))
            fmt = fmt.replace(RegExp.$1, (timestamp.getFullYear() + "").substr(4 - RegExp.$1.length));
        for (var k in o)
            if (new RegExp("(" + k + ")").test(fmt))
                fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        return fmt;
    },
    parseWan : function(n, unit){
        unit = unit || "元";
        n = parseInt( n );
        n = n > 10000 ? parseInt( n * 100 / 10000 ) / 100 + "万" : n + unit;
        return n;
    },
    parseDuration : function(during){
        var min = parseInt( during / 60 );
        var sec = parseInt(during - min * 60);
        min = min ? min + "\'" : "";
        sec = sec ? sec + "\"" : "";
        return min + sec;
    },
    toCamelCase : function(str){
        str = (str || "") + "";
        var re = /-(\w)/g;
        return str.replace(re, function(){
            var args = arguments;
            return args[1].toUpperCase();
        });
    }
};




//语音控制类
var Audio = function(dom){

    var me = this;

    var audio = dom.getElementsByTagName("audio")[0];

    this.tap = function(){
        if( audio.paused ){
            me.play();
        }else{
            me.pause();
        }
    };

    this.play = function(){
        dom.classList.add("playing");
        try{
            audio.play();
        }catch (e){}
    };

    this.pause = function(){
        dom.classList.remove("playing");
        try{
            audio.pause();
        }catch (e){}
    };

    //元数据加载完，更新播放时长
    audio.addEventListener("loadedmetadata", function(){
        var during = audio.duration;
        dom.getElementsByTagName("span")[0].innerHTML = Utils.parseDuration(during);
    }, false);

    //播放完毕
    audio.addEventListener("ended", function(){
        dom.classList.remove("playing");
    }, false);

    //点击事件
    dom.getElementsByClassName("video-btn")[0].addEventListener("click", function(){
        me.tap();
        return false;
    }, false);

};




(function(){

    var attr = function(dom, name, v){
        if( v === undefined ){
            return dom.getAttribute(name) || "";
        }
        dom.setAttribute(name, v);
    };

    var wapper = function(targetDom, wapperDom){
        targetDom.parentNode.insertBefore( wapperDom, targetDom );
        wapperDom.appendChild(targetDom);
    };


    var _h1 = document.getElementsByTagName("h1");
    if( _h1 && _h1[0] ){
        ArticleTitle = _h1[0].innerHTML.trim();
    }else{
        ArticleTitle = "汽车头条";
    }



    var SCREEN = {
        width : window.clientWidthCFQ || document.documentElement.clientWidth
    };
    //SCREEN.contentWidth = SCREEN.width - (30 * (SCREEN.width / 720)) * 2 * 23/30;
    SCREEN.contentWidth = SCREEN.width - 2 * 23 * SCREEN.width / 720;
    //window.LOG.log("SCREEN.contentWidth : "+SCREEN.contentWidth+"  , SCREEN.width : "+SCREEN.width);
    //重置样式
    var resetImgStyle = function(item){
        attr(item, "class", "");
        var title = attr(item, "title");
        item.removeAttribute("alt");
        item.removeAttribute("title");
        item.removeAttribute("onclick");
        if( attr(item, "src").match(/error\.png$/) ){
            attr(item, "src", "");
        }
        //设置高度
        var wid = parseInt( attr(item, "width") );
        var hei = parseInt( attr(item, "height") );

        //大于屏幕尺寸
        if( wid > SCREEN.contentWidth ){
            item.style.width = SCREEN.contentWidth + "px";
            item.style.height = ( SCREEN.contentWidth / wid * hei )+ "px";
        }
        //大于.5屏幕尺寸
        else if( wid > SCREEN.contentWidth * .5 ){
            item.style.width = SCREEN.contentWidth + "px";
            item.style.height = ( SCREEN.contentWidth / wid * hei )+ "px";
        }
        //小尺寸图片
        else{
            item.style.width = wid + "px";
            item.style.height = hei + "px";
        }


        var dataType = attr(item, "data-type");

        if( item.parentNode.className != "img-div" ){
            var wapperDiv = document.createElement("div");
            wapperDiv.className = "img-div";
            var span = document.createElement("span");
            span.className = dataType;
            var imgWapper = document.createElement("div");
            imgWapper.className = "imgWapper";

            
            //图集给出文案
            if( dataType === "album" ){
                span.innerHTML = "图集";
            }
            
            wapperDiv.appendChild( imgWapper );
            imgWapper.appendChild( span );

            wapper(item, wapperDiv);
            imgWapper.appendChild(item);
        }

        if( window.MC__EXTRADATA.addDownLoadGuide && (dataType === "album" || dataType === "video") ){
            window.addDownloadGuide.item(item, window.MC__EXTRADATA.addDownLoadGuide);
        }


        /*if( title ){
            var miaoshuP = document.createElement("p");
            miaoshuP.innerHTML = title;
            item.parentNode.appendChild( miaoshuP )
        }*/

        //item.src = attr(item, 'data-src');
    };


    //功能组件
    var handleFunList = {};

    //静态图片  开始显示为静默图
    handleFunList.image = function(item){
        resetImgStyle(item);
        //item.src = attr(item, "data-src" );
    };

    //gif
    handleFunList.gif = function(item){
        resetImgStyle(item);
    };

    //视频
    handleFunList.video = function(item){
        resetImgStyle(item);
    };

    //图集
    handleFunList.album = function(item){
        resetImgStyle(item);
    };


    //语音
    handleFunList.audio = function(item){
        item.removeAttribute("controls");

        var src = attr(item, "src") || attr(item, "data-src");
        var duration = attr(item, "data-duration") || 10;
        var width = (duration > 180 ? 100 : duration * 100 /180 ) * .75;

        duration = Utils.parseDuration(duration);



        var funStr  =   "<div class='xiaobian'></div>";
        funStr +=       "<div class='video-btn' style='width:" +width+ "%'>";
        funStr +=           "<i></i>";
        funStr +=           "<div class='voice'><div></div></div>";
        funStr +=           "<span>" +duration+ "</span>";
        funStr +=       "</div>";

        var wapperDiv = document.createElement("div");
        wapperDiv.className = "fun-audio";
        wapperDiv.innerHTML = funStr;

        wapper(item, wapperDiv);
        new Audio(wapperDiv);
    };



    //车系询价
    handleFunList.chexixunjia = function(item){

        var data;
        try{
            data = item.innerHTML.trim();
            data = JSON.parse(data);
            if( typeof data === "string" ) data = JSON.parse(data);
        }catch (e){}

        if( !data || (typeof data === "string") ){
            item.style.display = "none";
            console.warn("数据格式化错误");
            return;
        }

        var id = data.id;
        /*var aChexi = "mc-bitauto://car-serial-activity?csid="+id+"&fromid=qichetoutiao&from=toutiao&isMcId=true";
        var aDatu =  "mc-bitauto://car-image-list-activity?csid=" +id+ "&fromid=qichetoutiao&from=toutiao&isMcId=true";
        var aXunjia =  "mc-bitauto://get-car-serial-price-activity?csid=" +id+ "&fromid=qichetoutiao&from=toutiao&isMcId=true";*/
        var aChexi = data.carSerialUrl;
        var aDatu = data.carSerialPicUrl;
        var aXunjia = data.carSerialPriceUrl;

        var prices = [data.minPrice, data.maxPrice];
        for(var i = 0; i < prices.length; i++ ){
            prices[i] = Utils.parseWan( prices[i] );
        }

        var funStr = "<a href='"+aChexi+"' class='info'>";
        funStr +=       "<div class='wapper'>";
        funStr +=           "<img src='" +data.imgUrl+"' />";
        funStr +=       "</div>";
        funStr +=       "<em>" +data.name+ "</em>";
        funStr +=       "<strong>" +prices.join(" - ")+ "</strong>";
        funStr +=    "</a>";
        funStr +=    "<div class='btns'>";
        funStr +=       "<a href='" +aDatu+ "'>看大图</a>";
        funStr +=       "<a href='" +aXunjia+ "'>询底价</a>";
        funStr +=    "</div>";

        item.innerHTML = funStr;
        item.className = "fun-chexixunjia";

    };


    //警告灯里的图片
    handleFunList.gzImg = function(item){
        item.removeAttribute("onclick");
        item.src = attr(item, "data-src" );
    };
    handleFunList.ignore = function(item){};




    //投票
    handleFunList.vote = function(item){

        /*var voteTypeMaps = {
            "1" : "普通投票",
            "2" : "车系投票",
            "4" : "主题车系(会在列表中显示)"
        };*/

        var voteId = attr(item, "data-id");
        var voteData = MC__EXTRADATA && MC__EXTRADATA.vote && MC__EXTRADATA.vote[voteId] || null;
        if( !voteData ) {
            item.style.display = "none";
            return;
        }

        if( typeof voteData.extraData === "string" ){
            voteData.extraData = JSON.parse(voteData.extraData);
        }
        voteData.extraData = voteData.extraData || {};

        var options = voteData.options;


        var myVoteOptionID; //我投了哪个？
        var totalVoteNums = 0; //当前投票人数
        for(var i = 0; i < options.length; i++ ){
            if( options[i].voted ){
                myVoteOptionID = options[i].id;
            }
            totalVoteNums += options[i].voteCount;

            if( typeof options[i].extraData === "string" ){
                options[i].extraData = JSON.parse(options[i].extraData);
            }
            options[i].extraData = options[i].extraData || {};
        }
        myVoteOptionID = MC__EXTRADATA.voteResults[voteId];

        //计算选项百分比
        for(var i = 0; i < options.length; i++ ) {
            if( totalVoteNums == 0 ){
                options[i].votePercent = 0;
            }else{
                options[i].votePercent = parseInt( options[i].voteCount * 1000 / totalVoteNums ) / 10;
            }
        }
        //防止投票总和不等100
        if( totalVoteNums > 0 ){
            var tt = 0;
            var ti;
            for(var i = 0; i < options.length; i++ ) {
                if( ti === undefined && options[i].voteCount > 0 ){
                    ti = i;
                }else{
                    tt = tt + options[i].votePercent * 10;
                }
            }
            options[ ti ].votePercent = (1000 - tt ) / 10;
        }


        //进行状态
        var today = +new Date();
        var statusStr =  myVoteOptionID ? "您已投票" : (voteData.endTime <= today ? "已结束" : "投票进行中");
        var voteOver = !!(myVoteOptionID || voteData.endTime <= today);


        //获取点击选项链接
        var getVoteAttr = function(optionIndex){
            return voteOver ? "" : (" href=\'mc-vote://qichetoutiao?voteId=" +voteId+ "&optionId=" + options[optionIndex].id + "\'");
        };
        //获取每个选项的classNam
        var getVoteClass = function(optionIndex){
            var className = "vbt" + (optionIndex + 1);

            if( myVoteOptionID ){
                className += " " + ( myVoteOptionID == options[optionIndex].id ? "ac" : "di" );
            }

            if( optionIndex === 0 && options.length === 2 && options[0].extraData.series ){
                className += " rotatey180";
            }

            return className;
        };
        //取点击车系链接
        var getMaicheUrl = function(optionIndex){
            if( options[optionIndex].extraData.series ){
                var href = "http://partner.kakamobi.com/simple-mc/carSerial.html?serialId=" + options[optionIndex].extraData.series.split("-")[1] + "&serialName=" + options[optionIndex].name;
                return " href=\'" + href + "\'";
            }
            return "";
        };

        var _htmls = "";

        //两个选项
        if( options.length === 2 ){
            //_htmls =    '<div class="fun-vote imgvs2">';
            item.className = "fun-vote imgvs2";

            //车系投票 而且 每个选项都有配图
            if( options[0].image && options[1].image ){
                var rotateClass = options[0].extraData.series ? "rotatey180" : "";
                _htmls +=   '<div class="vs cl">';
                _htmls +=       '<span><b class="v">V</b><b class="s">S</b></span>';
                _htmls +=       '<a ' +getMaicheUrl(0)+ ' class="v1 fl ' +rotateClass+ '" style="background-image:url(' +options[0].image+ ');"></a>';
                _htmls +=       '<a ' +getMaicheUrl(1)+ ' class="v2 fr" style="background-image:url(' +options[1].image+ ');"></a>';
                _htmls +=    '</div>';
            }
            _htmls +=       '<div class="t-content">';
            _htmls +=           '<div class="up"><span class="fl">' +Utils.formatDate(voteData.startTime) +' '+ statusStr+ '</span><span class="fr">' +Utils.parseWan( totalVoteNums, '人' )+ '参与</span></div>';
            _htmls +=           '<div class="down">';

            //没有图片的投票
            if( !options[0].image || !options[1].image ){
                _htmls +=           '<div class="colorvs">';
                _htmls +=               '<span class="vred">红方观点</span>';
                _htmls +=               '<span class="vblue">蓝方观点<s></s></span>';
                _htmls +=               '<span class="vs2"><b class="v">V</b><b class="s">S</b></span>';
                _htmls +=           '</div>';
            }

            _htmls +=               '<div class="ops">';
            _htmls +=                   '<span class="fl">' +options[0].name+ '</span>';
            _htmls +=                   '<span class="fr">' +options[1].name+ '</span>';
            _htmls +=                '</div>';
            _htmls +=                '<div class="bts">';
            _htmls +=                   '<a' +getVoteAttr(0)+ ' class="' +getVoteClass(0) + '"></a>';
            _htmls +=                   '<a' +getVoteAttr(1)+ ' class="' +getVoteClass(1) + '"></a>';
            _htmls +=                   '<div class="line">';
            _htmls +=                       '<s class="b1" style="width:' + (voteOver ? options[0].votePercent : 50)+ '%"></s>';
            _htmls +=                       '<s class="b2" style="width:' + (voteOver ? options[1].votePercent : 50)+ '%"></s>';
            _htmls +=                   '</div>';
            if( voteOver ) {
                _htmls +=               '<i class="t1">' +options[0].votePercent+ '%</i>';
                _htmls +=               '<i class="t2">' +options[1].votePercent+ '%</i>';
            }else{
                _htmls +=               '<i class="t1" style="display: none;">0%</i>';
                _htmls +=               '<i class="t2" style="display: none;">0%</i>';
            }
            _htmls +=                '</div>';
            _htmls +=            '</div>';
            _htmls +=        '</div>';
            //_htmls +=    '</div>';
        }
        //多选项
        else{

            //我已经投票 或者投票已经结束
            if( voteOver ){
                item.className = "fun-vote imgvsmore";
                //_htmls =    '<div class="fun-vote imgvsmore">';
                _htmls =    '<div class="ttitle">投票</div>';
                _htmls +=   '<div class="t-content">';
                _htmls +=       '<div class="title">' +voteData.title+ '</div>';
                _htmls +=       '<div class="up"><span class="fl">' +Utils.formatDate(voteData.startTime) +' '+ statusStr+ '</span><span class="fr">' +Utils.parseWan( totalVoteNums, '人' )+ '参与</span></div>';
                _htmls +=       '<ul class="voteed-ul">';
                for(var i = 0; i < options.length; i++ ){
                    var optionItem = options[i];
                    var wPercent = optionItem.votePercent * .85;
                    _htmls +=           '<li class="li' +(i % 4)+ (myVoteOptionID == optionItem.id ? ' select' : '') +' ">';
                    _htmls +=               '<p>' +(i + 1) + ' .' + optionItem.name + '</p>';
                    _htmls +=               '<div><i style="width:' +wPercent+ '%" class="bar"></i><i class="num">' +optionItem.votePercent+ '%</i></div>';
                    _htmls +=            '</li>';
                }
                _htmls +=        '</ul>';
                _htmls +=    '</div>';
            }
            //我还没有投票
            else{
                item.className = "fun-vote imgvsmore";
                //_htmls =    '<div class="fun-vote imgvsmore">';
                _htmls =    '<div class="ttitle">投票</div>';
                _htmls +=   '<div class="t-content">';
                _htmls +=       '<div class="title">' +voteData.title+ '</div>';
                _htmls +=       '<div class="up"><span class="fl">' +Utils.formatDate(voteData.startTime) +' '+ statusStr+ '</span><span class="fr">' +Utils.parseWan( totalVoteNums, '人' )+ '参与</span></div>';
                for(var i = 0; i < options.length; i++ ){
                    var optionItem = options[i];
                    _htmls +=   '<a' +getVoteAttr(i)+' class="voption">' +(i+1)+ '.' +optionItem.name + '</a>';
                }
                _htmls +=    '</div>';
            }

        }

        item.innerHTML = _htmls;

    };

    //刷新投票
    window.refreshItem.vote = function(itemId, refreshData, extraData){
        var voteList = document.querySelectorAll("[data-type=vote]");
        var voteItem;
        for(var i = 0; i < voteList.length; i++ ){
            if( attr(voteList[i], "data-id") == itemId ){
                voteItem = voteList[i];
                break;
            }
        }
        if( !voteItem ) return;

        MC__EXTRADATA.vote[ itemId ] = refreshData;
        MC__EXTRADATA.voteResults[ itemId ] = extraData;

        handleFunList.vote(voteItem);
    };



    //车友圈
    handleFunList.cheyouquanClub = function(item){

        var name = attr(item, "data-name");
        var desc = attr(item, "data-desc");
        var avatar = attr(item, "data-avatar");
        var id = attr(item, "data-id");

        var href = "http://saturn.nav.mucang.cn/club/detail?id=" + id;

        var funStr = "<a class='fun-cheyouquan-club' href='" +href+ "'>";
        funStr +=       "<span style='background-image:url(" +avatar+ ");'></span>";
        funStr +=       "<h2>" +name+ "</h2>"
        funStr +=       "<p>" +desc+ "</p>"
        funStr +=       "<i></i>"
        funStr +=    "</a>";

        item.innerHTML = funStr;

    };



    //格式化external数据
    if( window.MC__EXTRADATA ){
        if( MC__EXTRADATA.vote ){
            var voteMaps = {};
            for(var i = 0; i < MC__EXTRADATA.vote.length; i++ ){
                voteMaps[ MC__EXTRADATA.vote[i]['id'] ] = MC__EXTRADATA.vote[i];
            }
            MC__EXTRADATA.vote = voteMaps;
        }

        if( !window.MC__EXTRADATA.voteResults ) window.MC__EXTRADATA.voteResults = {};
    }else{
        window.MC__EXTRADATA = {};
    }




    //格式化页面中的特殊组件<p><strong>###投票(2)：前端测试哪个车子好###</strong></p>
    var votelist = document.querySelectorAll("[data-voteid]");
    for(var i = votelist.length - 1; i >= 0; i-- ){
        var voteId = attr( votelist[i], "data-voteid" );
        var voteDom = document.createElement("div");
        voteDom.setAttribute("data-type", "vote");
        voteDom.setAttribute("data-id", voteId);
        votelist[i].parentNode.insertBefore(voteDom, votelist[i]);
        votelist[i].parentNode.removeChild( votelist[i] );
    }


    //格式化页面table
    var tableList = document.getElementsByTagName("table");
    for(var i = 0; i < tableList.length; i++ ){
        var item = tableList[i];
        if( !item.parentNode.classList.contains("table-div") ){
            var trs = item.getElementsByTagName("tr");
            if( trs.length > 0 ){
                var maxTdLen = 1;
                for(var k = 0; k < trs.length; k++ ){
                    var tdLen = trs[k].getElementsByTagName("td").length + trs[k].getElementsByTagName("th").length;
                    maxTdLen = Math.max(maxTdLen, tdLen);
                }
                var wapperDiv = document.createElement("div");
                wapperDiv.className = "table-div";
                wapperDiv.className =  tdLen > 4 ? "table-div x-scroll" : "table-div";
                wapper(item, wapperDiv);
            }else{
                item.style.display = "none";
            }
        }
    }


    //格式化图片
    var imgList = document.getElementsByTagName("img");
    for(var i = imgList.length -1; i >= 0; i-- ){
        var img = imgList[i];
        if( !attr(img, "width") || !attr(img, "height") ){
            img.parentNode.removeChild(img);
            continue;
        }
        if( !attr(img, "data-type") ){
            var dataSrc = attr(img, "data-src");
            if( dataSrc.match(/gif$/) ){
                attr(img, "data-type", "gif")
            }else{
                attr(img, "data-type", "image")
            }
        }
    }


    //格式化语音
    var audioList = document.getElementsByTagName("audio");
    for(var i = 0; i < audioList.length; i++ ){
        attr(audioList[i], "data-type", "audio");
    }






    //初始化页面组件
    var itemList = document.querySelectorAll("[data-type]");
    var imgIndex = 0;
    for(var i = 0; i < itemList.length; i++ ){
        var item = itemList[i];
        var dataType = Utils.toCamelCase( attr(item, "data-type") );

        if( ["image", "gif", "video", "album"].indexOf(dataType) > -1 ){
            attr(item, "data-imgindex", imgIndex++);
        }

        if( dataType in handleFunList ){
            handleFunList[dataType](item);
        }else{
            item.style.display = "none";
        }
    }




    //重新渲染
    render();

    PageReady.ready = true;


})();



